public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Theo Anderson" <telans@posteo.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-text/OCRmyPDF/
Date: Mon,  4 Jan 2021 05:39:08 +0000 (UTC)	[thread overview]
Message-ID: <1609738738.7a267c8917578d0a4b5c0f351dbde91d1975c87d.telans@gentoo> (raw)

commit:     7a267c8917578d0a4b5c0f351dbde91d1975c87d
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Mon Jan  4 04:34:33 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Mon Jan  4 05:38:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7a267c89

app-text/OCRmyPDF: bump to 11.4.4

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 app-text/OCRmyPDF/Manifest               |  1 +
 app-text/OCRmyPDF/OCRmyPDF-11.4.4.ebuild | 67 ++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/app-text/OCRmyPDF/Manifest b/app-text/OCRmyPDF/Manifest
index d190c20c..110f2d5d 100644
--- a/app-text/OCRmyPDF/Manifest
+++ b/app-text/OCRmyPDF/Manifest
@@ -1,3 +1,4 @@
 DIST OCRmyPDF-11.4.0.tar.gz 7880918 BLAKE2B 2031a0d8f5676d84be7e4d52a2b8457143dfb85248bc925d452ebe652190da0f34a464478a9cda8ed0650eeb5db5019f83530ea0b74b57079e1cab0e43a20b16 SHA512 f6ed03eacf3dd0aa554841b70e6b2fbb8a7cc7854723a4fb0a52b7b3fcf26387f9bb60b9db57f67af53a979edc66666a3dadbdd10c20fbb375cfaf46339e6737
 DIST OCRmyPDF-11.4.1.tar.gz 7880882 BLAKE2B 80bcce4775e9192cc23f0b9ed0ba8fcbb4b585c628b796f69b60d2e84bcf8157812cf5fa769688af1e71626d41ba249d56ac5cc6bcf4f4fc3a60fa4b5809320b SHA512 bd27d66b24b63584d1945fd29b08e4d8dcffd989b7285ec0d94559514da676cbb7cd6910453d553f859d501ce5a10bb90554574f0e435bbf6d4037d89d0dd4aa
 DIST OCRmyPDF-11.4.3.tar.gz 7883284 BLAKE2B e127dbb60bf18c152f9725fa097897aa5392c8db71f5540f3410e07327b6a7de4536d38ff6bda25eb29e3ced768ab86a9e6a6b5510f09dfa031dba4e0953cc92 SHA512 d40587a1e38b9f3adabb3c144fae0436eeab01f9c01de87c47e5b2b7fe1c5df85b9ade60daadff6177574d9933c61dad9df9602a5f46880a077991e2a9ab8ca4
+DIST OCRmyPDF-11.4.4.tar.gz 7883043 BLAKE2B 25d4f259c257884107c2fa76c2f662fc867528555ea47b3d3cabbbc3e9fd68bdb55ae4540556607ee31f534152b7c55076224c194e6299ab4bbd1b6f874752dc SHA512 198491f11764b68dc26877f73c815f1425b3bf730c5ada8319b1122ac525a3790e9e86a25b7965bf674197571960a76256984071e3f0b9a1507794dbb875340b

diff --git a/app-text/OCRmyPDF/OCRmyPDF-11.4.4.ebuild b/app-text/OCRmyPDF/OCRmyPDF-11.4.4.ebuild
new file mode 100644
index 00000000..bf5a296b
--- /dev/null
+++ b/app-text/OCRmyPDF/OCRmyPDF-11.4.4.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="OCRmyPDF adds an OCR text layer to scanned PDF files"
+HOMEPAGE="https://github.com/jbarlow83/OCRmyPDF"
+SRC_URI="https://github.com/jbarlow83/OCRmyPDF/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# This uses *a lot* of RAM, I have 32gb and these tests tried to use it all
+RESTRICT="test"
+IUSE="jbig2enc"
+
+RDEPEND="
+	app-text/ghostscript-gpl
+	app-text/tesseract
+	app-text/unpaper
+	dev-python/cffi[${PYTHON_USEDEP}]
+	dev-python/coloredlogs[${PYTHON_USEDEP}]
+	>=dev-python/pdfminer-six-20191110[${PYTHON_USEDEP}]
+	<=dev-python/pdfminer-six-20201018[${PYTHON_USEDEP}]
+	dev-python/pikepdf[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	dev-python/pluggy[${PYTHON_USEDEP}]
+	dev-python/reportlab[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+	media-gfx/img2pdf[${PYTHON_USEDEP}]
+	media-gfx/pngquant
+	media-libs/leptonica
+	virtual/python-cffi[${PYTHON_USEDEP}]
+	jbig2enc? ( media-libs/jbig2enc )
+"
+DEPEND="
+	test? (
+		dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+		dev-python/pytest-xdist[${PYTHON_USEDEP}]
+		~dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs --no-autodoc
+
+python_prepare_all() {
+	# do not depend on deprecated dep
+	sed -i -e '/pytest-runner/d' setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+src_install() {
+	distutils-r1_src_install
+
+	newbashcomp "${S}"/misc/completion/ocrmypdf.bash "${PN,,}"
+
+	insinto /usr/share/fish/vendor_completions.d
+	doins "${S}"/misc/completion/ocrmypdf.fish
+}


             reply	other threads:[~2021-01-04  5:39 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-04  5:39 Theo Anderson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-28 14:51 [gentoo-commits] repo/proj/guru:dev commit in: app-text/OCRmyPDF/ Anna Vyalkova
2025-02-17 13:32 Anna Vyalkova
2025-01-07 20:55 Anna Vyalkova
2024-12-26  3:17 Anna Vyalkova
2024-11-26 20:48 Anna Vyalkova
2024-11-26 20:22 Anna Vyalkova
2024-10-14 11:30 Florian Schmaus
2024-10-14 11:30 Florian Schmaus
2024-06-23 10:23 Lucio Sauer
2024-06-17 22:58 Alarig Le Lay
2024-06-17 22:55 Alarig Le Lay
2023-06-06 18:01 Anna Vyalkova
2023-05-04  2:02 Anna Vyalkova
2023-04-28  7:06 Anna Vyalkova
2023-04-13  5:42 Jonas Frei
2023-02-05 19:31 Yuan Liao
2022-11-18  7:59 Anna Vyalkova
2022-11-17 22:21 Henri Gasc
2022-11-17 21:22 Anna Vyalkova
2022-11-16 15:09 Anna Vyalkova
2022-11-16 15:09 Anna Vyalkova
2022-11-04 19:43 Anna Vyalkova
2022-10-30 13:49 Anna Vyalkova
2022-10-30 13:49 Anna Vyalkova
2022-10-29  5:54 [gentoo-commits] repo/proj/guru:master " Arthur Zamarin
2022-10-29  5:51 ` [gentoo-commits] repo/proj/guru:dev " Arthur Zamarin
2022-10-25  4:12 Carlos Eduardo
2022-07-04 12:16 Theo Anderson
2022-07-04 12:16 Theo Anderson
2022-07-04 12:16 Theo Anderson
2022-06-01  5:03 Anna Vyalkova
2022-06-01  5:03 Anna Vyalkova
2022-05-29 16:18 Carlos Eduardo
2022-04-20 19:04 Alexandru Campeanu
2022-04-20 13:35 Carlos Eduardo
2022-03-20 19:19 Carlos Eduardo
2022-02-22 21:25 Carlos Eduardo
2022-01-29 22:43 Carlos Eduardo
2021-10-04  8:11 Theo Anderson
2021-07-02  7:59 Alarig Le Lay
2021-04-28  2:16 Theo Anderson
2021-04-28  2:16 Theo Anderson
2021-03-26 20:42 Theo Anderson
2021-03-02  9:02 [gentoo-commits] repo/proj/guru:master " Theo Anderson
2021-03-02  9:00 ` [gentoo-commits] repo/proj/guru:dev " Theo Anderson
2021-03-02  9:00 Theo Anderson
2021-02-16 21:10 [gentoo-commits] repo/proj/guru:master " Theo Anderson
2021-02-16  2:03 ` [gentoo-commits] repo/proj/guru:dev " Theo Anderson
2021-02-16 21:10 [gentoo-commits] repo/proj/guru:master " Theo Anderson
2021-02-16  2:03 ` [gentoo-commits] repo/proj/guru:dev " Theo Anderson
2021-02-08  3:02 Theo Anderson
2021-02-08  3:02 Theo Anderson
2021-01-11  5:27 Theo Anderson
2021-01-11  5:27 Theo Anderson
2021-01-08 21:18 Theo Anderson
2021-01-08 21:18 Theo Anderson
2021-01-04  5:39 Theo Anderson
2021-01-04  5:39 Theo Anderson
2020-12-31  8:21 Theo Anderson
2020-12-26  9:09 Theo Anderson
2020-12-18 19:05 Andrew Ammerlaan
2020-04-16 18:28 Alarig Le Lay
2020-04-16 17:14 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-16 17:13 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-15 18:30 Alarig Le Lay
2020-04-15 18:30 Alarig Le Lay
2020-04-15 18:30 Alarig Le Lay
2020-04-15 17:33 Alarig Le Lay

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609738738.7a267c8917578d0a4b5c0f351dbde91d1975c87d.telans@gentoo \
    --to=telans@posteo.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox